Scope description.

### Hierarchy

- Scope

## Index

### Properties

- endLocation
- name
- object
- startLocation
- type

## Properties

### Optional endLocation

endLocation: Location

- Defined in node_modules/@types/node/inspector.d.ts:156

Location in the source code where scope ends

### Optional name

name: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:148

### object

object: RemoteObject

- Defined in node_modules/@types/node/inspector.d.ts:147

Object representing the scope. For `global` and `with` scopes it represents the actual object; for the rest of the scopes, it is artificial transient object enumerating scope variables as its properties.

### Optional startLocation

startLocation: Location

- Defined in node_modules/@types/node/inspector.d.ts:152

Location in the source code where scope starts

### type

type: string

- Defined in node_modules/@types/node/inspector.d.ts:141

Scope type.

Generated using TypeDoc